/*
 *  Copyright (C) 2012  Philipp Staudinger

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 */

package wordCloud;

public class SpaceList {

	SpaceNode head;
	
	/* Constructor */
	public SpaceList() {
		this.head = null;
	}	
	
	/* adds a space to list if space is free */
	public Boolean addSpace(SpaceNode space) {
		if(space.o<0 || space.u>WordCloud.height || space.l<0 || space.r>WordCloud.width) {
			return false;
		}
		if(head==null) {
			head=space;
			return true;
		}
		SpaceNode tmp = head;
		while(tmp!=null) {
			if(tmp.collide(space)) {
				return false;
			}
			tmp = tmp.next;
		}
		space.next = head;
		head = space;
		return true;
	}
}
